/**
 * Copyright (c) 2018 Adrian Panella <ianchi74@outlook.com>
 *
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */
import { ES6StaticEval, INode, keyedObject } from 'espression';
import { JsonPathResult } from './jsonPathResult';
/**
 * Static-eval extension to evaluate JsonPath AST nodes
 */
export declare class JsonPathStaticEval extends ES6StaticEval {
    protected JPRoot(node: INode, context: keyedObject): JsonPathResult;
    protected JPRootExpr(node: INode, context: keyedObject): JsonPathResult;
    protected JPChildExpression(node: INode, context: keyedObject): JsonPathResult;
    protected JPDescendantExpression(node: INode, context: keyedObject): JsonPathResult;
    protected evalMember(obj: JsonPathResult, node: INode, descendant: boolean, context: keyedObject): JsonPathResult;
}
