/**
 * Copyright (c) 2018 Adrian Panella <ianchi74@outlook.com>
 *
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */
/**
 * Represents the result of a JsonPath query.
 */
export declare class JsonPathResult {
    values: any[];
    paths: string[][];
    root: object;
    constructor(obj: JsonPathResult | object);
    push(value: unknown, path: string[]): void;
    slice(start?: number | string, end?: number | string, step?: number | string, descendant?: boolean): JsonPathResult;
    forEach(callback: (value: any, path: string[], depth: number) => void, maxDepth?: number): void;
    concat(partial: JsonPathResult): JsonPathResult | null;
}
