/*!
 * Copyright (c) 2018 Adrian Panella <ianchi74@outlook.com>
 *
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */
import { INode, keyedObject } from 'espression';
import { JsonPathStaticEval } from './eval';
import { JsonPathResult } from './jsonPathResult';
import { ESPathParser, JsonPathParser } from './parserRules';
export declare class JsonPath {
    static jpEval: JsonPathStaticEval;
    static jpParser: JsonPathParser;
    static espParser: ESPathParser;
    evaluate(ast: INode, ctx: keyedObject): any;
    parse(path: string): INode;
    eval(path: string, ctx: keyedObject): any;
    query(obj: object, path: string): JsonPathResult;
}
export { JsonPathStaticEval } from './eval';
export { JsonPathResult } from './jsonPathResult';
export { ESPathParser, JsonPathParser } from './parserRules';
