/**
 * Copyright (c) 2018 Adrian Panella <ianchi74@outlook.com>
 *
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */
import { ICharClass, IRuleSet, Parser } from 'espression';
export declare const JPCHILD_EXP = "JPChildExpression";
export declare const JPDESC_EXP = "JPDescendantExpression";
export declare const JPUNION_EXP = "JPUnionExpression";
export declare const JPFILTER_EXP = "JPFilterExpression";
export declare const JPSLICE_EXP = "JPSliceExpression";
export declare const JPWILDCARD_EXP = "JPWildcard";
export declare const JPEXP_EXP = "JPExpression";
export declare function jsonPathRules(identStart?: ICharClass, identPart?: ICharClass): IRuleSet;
/**
 * Extended ES-next parser.
 *  add the '<$..path>' notation as jsonPath literal, with priority as first token
 *
 */
export declare class ESPathParser extends Parser {
    constructor();
}
export declare class JsonPathParser extends Parser {
    constructor();
}
